#!/usr/bin/env ruby
begin
	require 'letmesee.rb'
	@cgi = CGI.new

	l = LetMeSee::new( @cgi, nil )
	case l.mode
		when 'gaiji_w' then l.gaiji_w(l.book, l.code)
		when 'gaiji_n' then l.gaiji_n(l.book, l.code)
		when 'mono_graphic' then l.mono_graphic(l.book, l.page, l.offset, l.width, l.height)
		when 'bmp' then l.bmp(l.book, l.page, l.offset)
		when 'jpeg' then l.jpeg(l.book, l.page, l.offset)
		when 'wave' then l.wave(l.book, l.page, l.offset, l.page2, l.offset2)
		when 'mpeg' then l.mpeg(l.book, l.page, l.offset, l.page2, l.offset2)
	end
rescue Exception
	print "Content-Type: text/plain\n\n"
	puts "#$! (#{$!.type})"
	puts ""
	puts $@.join( "\n" )
end
